/*СКИДКА в карточке товара слева*/

.t-catalog__card__mark-wrapper {
    left: 20px !important;
    top: 20px !important;
}

.t-catalog__card__mark {
    border-radius: 0px !important;
    height: 24px !important;
    width: 44px !important;
    font-family: 'Unageo' !important;
    font-size: 13px !important;
}


/* СКРЫТЬ выбор цвета полностью */
.t1291 .js-product .js-product-edition-option[data-option-type="color"] {
  display: none !important;
}

/* Выравнивание заголовка и цены в карточке*/
/* ссылка товара */
.t1291 .js-product .t-catalog_card_wrap-txt-and-opts > a {
  display: block !important;
  width: 100% !important;
  margin: 0 !important;
  text-decoration: none !important;
}

/* строка: название + цена */
.t1291 .js-product .t-catalog_card__textwrapper {
  display: table !important;
  width: 100% !important;
  table-layout: fixed !important;
}

/* название слева */
.t1291 .js-product .js-catalog-prod-name {
  display: table-cell !important;
  width: 100% !important;
  vertical-align: middle !important;
  margin: 0 !important;
  padding-right: 12px !important;
  white-space: nowrap !important;
  overflow: hidden !important;
  text-overflow: ellipsis !important;
}

/* цена справа */
.t1291 .js-product .js-catalog-price-wrapper {
  display: table-cell !important;
  width: 1% !important;
  vertical-align: middle !important;
  text-align: right !important;
  white-space: nowrap !important;
  margin: 0 !important;
}

/* внутренности цены в строку */
.t1291 .js-product .js-catalog-price-wrapper > * {
  display: inline-block !important;
  vertical-align: baseline !important;
  margin: 0 !important;
}

/* если первым идет новая цена, а второй старая:
   визуально ставим старую перед новой */
.t1291 .js-product .js-catalog-price-wrapper > *:first-child {
  margin-left: 10px !important;
  font-size: 16px !important;
  line-height: 1 !important;
  color: #556b2f !important;
  font-weight: 600 !important;
  text-decoration: none !important;
  margin-left: 8px !important;
}

.t1291 .js-product .js-catalog-price-wrapper > *:last-child {
  font-size: 14px !important;
  line-height: 1 !important;
  color: #9aa08c !important;
  text-decoration: line-through !important;  
}

/* разворачиваем порядок элементов внутри цены */
.t1291 .js-product .js-catalog-price-wrapper {
  direction: rtl !important;
  text-align: right !important;
}

/* возвращаем нормальное направление текста у самих цен */
.t1291 .js-product .js-catalog-price-wrapper > * {
  direction: ltr !important;
  display: inline-block !important;
  vertical-align: baseline !important;
}


/* Код написан с помощью cascad.cc */


.t-item .t-catalog__card__btns-wrapper{
     max-width:100%;
     flex-direction:row;
     display:grid;
     flex:1 1 0%;
     align-self:flex-start;
     float:left;
     grid-template-columns:1fr 1fr;
     column-gap:0px;
     clear:none;
     align-content:normal;
     justify-content:normal;
     margin-right:0px;
}

.js-product-img, .t-catalog__card__bgimg_second  {
    border: 1px solid #CFD7C7 !important;
}

#allrecords .t1291 .js-catalog .js-catalog-cont-w-filter .t-catalog__cont-wrapper .js-catalog-grid-cont .swiper-backface-hidden 
#swiper-wrapper-1d6cc83559106c7bd .t-item .t-catalog__card__wrap_txt-and-btns .t-catalog__card__btns-wrapper {
    grid-template-rows:auto !important;
    grid-template-columns:1fr 1fr !important;
}

.t-item .t-btnflex_type_button2{
    margin-right:0px;
}

.t-item .t-catalog__card__wrap_txt-and-btns .t-catalog__card__btns-wrapper .t-btnflex_type_button2 span{
    flex:0 1 auto !important;
}


@media (max-width:959px){

     .t-item .t-catalog__card__btns-wrapper{
          position:static !important;
          grid-template-columns:50% 50% !important;
          width:100% !important;
     }

#allrecords .t1291 .js-catalog .js-catalog-cont-w-filter .t-catalog__cont-wrapper .js-catalog-grid-cont .swiper-backface-hidden 
#swiper-wrapper-1d6cc83559106c7bd .t-item .t-catalog__card__wrap_txt-and-btns .t-catalog__card__btns-wrapper {
    grid-template-columns:50% 50% !important;
 }
}



.t1291 .js-product-edition-option-name {
    display: none !important;
}

/* контейнер карточки */
.t-catalog__card {
    position: relative;
}

/* блок с размерами */
.t1291 .js-product .t-product__option .t-product__option-variants_custom {
    -webkit-flex-wrap: nowrap !important;
    -ms-flex-wrap: nowrap !important;
    flex-wrap: nowrap !important;
}

.t1291 .t-catalog__card .t-product__option {
    position: absolute;
    bottom: 120px !important;
    left: 50%;
    transform: translateX(-50%) translateY(10px);
    display: flex;
    gap: 8px;
    padding: 4px 16px;
    background: rgba(252, 255, 246, 0.5);
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);

    border: 1px solid #949B87 !important;
    opacity: 0;
    transition: all 0.3s ease;
    z-index: 3;
}

.t1291 .js-product .t-product__option-variants_buttons .t-product__option-item_simple {
    background-color: rgba(252, 255, 246, 0.0001) !important;
    /*border: 1px solid #4A5D2C;*/
    margin-bottom: 0px !important;
    min-height: 24px !important;
    min-width: 30px !important;
    padding: 7px;
}
.t1291 .js-product .t-product__option-variants_buttons .t-product__option-item
 {
    margin-bottom: 0px !important;
    margin-right: 0px !important;
}

.t1291 .t-catalog__card__prod-controls-wrapper:has(*) {
    padding-top: 0px !important;
}

.t1291 .t-product__option-item {
    font-size: 14px !important;
    border: none !important;
    padding: 4px 6px;
    color: #2B3719 !important;
    cursor: pointer;
    transition: opacity 0.2s ease;
}

.t1291 .t-product__option-item:hover {
    opacity: 0.6 !important;
    
}

.t1291 .t-catalog__card:hover .t-product__option {
    opacity: 1;
    transform: translateX(-50%) translateY(0);
}

.t1291 .t-product__option-item {
    white-space: nowrap !important;
    flex: 0 0 auto;
}


.t1291 .t-section__title {
    margin-bottom: 0px !important;
}


/*======================*/
/*================ИЗБРАННОЕ==============*/
.t1002__addBtn {
    background: transparent !important;
}


/*=================================*/
/*======== Карточка товара =======*/
.t-catalog__prod-snippet__container .t-container {
    padding: 0 40px !important;
}

.t-catalog__prod-snippet__container .t-col {
    margin-left: 0px !important;
}

.t-catalog__breadcrumbs {
    font-size: 14px !important;
}

.t-catalog__prod-popup__columns.t-img {
    border: 1px solid #CFD7C7 !important;
}

.t-catalog__prod-popup__info .t-catalog__prod-popup__name {
    line-height: 1.2;
    color: #2b3719 !important;
    font-size: 25px !important;
    font-weight: 700 !important;
    font-family: 'Unageo' !important;
    text-transform: uppercase !important;
    
}

.t-container_fluid .js-catalog-price-wrapper {
    padding-bottom: 40px !important;
}

/*======== SIZE в карточке товара ========*/
/* === SIZE (реальный селектор Tilda) === */

.t-container_fluid .t-product__option-title {
    padding-bottom: 12px;
}

.t-container_fluid .t-product__option-title:not(.t-product__option-title_select):not(.t-product__option-title_radio):not(.t-product__option-title_buttons) {
    font-size: 14px;
    font-weight: 500 !important;
}

.t-catalog__prod-popup__info  .js-product-edition-option[data-edition-option-id*="Size"] .t-product__option-item {
    background: #FCFFF6 !important;
    border: 1px solid #BEC3B4 !important;
    color: #2B3719 !important;

    padding: 6px 20px !important;
    min-width: 44px;
    text-align: center;
    transition: all 0.25s ease;
}

/* hover */
.t-catalog__prod-popup__info .js-product-edition-option[data-edition-option-id*="Size"] .t-product__option-item:hover {
    background: #4A5D2C !important;
    color: #FCFFF6 !important;
    border-color: #4A5D2C !important;
}

/* active (выбранный) */
.t-catalog__prod-popup__info .js-product-edition-option[data-edition-option-id*="Size"] .t-product__option-item_active {
    background: #4A5D2C !important;
    color: #FCFFF6 !important;
    border-color: #4A5D2C !important;
}

/* убираем дефолтный странный outline */
.t-catalog__prod-popup__info .t-product__option-item:focus {
    outline: none !important;
}

/* текст внутри активного размера */
.t-catalog__prod-popup__info
.js-product-edition-option[data-edition-option-id*="Size"] 
.t-product__option-item_active,
.t-catalog__prod-popup__info 
.js-product-edition-option[data-edition-option-id*="Size"] 
.t-product__option-item_active * {
    color: #FCFFF6 !important;
}

/* текст при hover */
.t-catalog__prod-popup__info 
.js-product-edition-option[data-edition-option-id*="Size"] 
.t-product__option-item:hover,
.t-catalog__prod-popup__info
.js-product-edition-option[data-edition-option-id*="Size"] 
.t-product__option-item:hover * {
    color: #FCFFF6 !important;
}

/*===========Ссылка Size guide=========*/
.t-container_fluid .size-guide-link {
    display: block;
    margin-top: 4px !important;
    margin-bottom: 30px !important;

    font-family: 'Unageo' !important;
    font-size: 13px !important;
    line-height: 1.2;

    color: #4A5D2C !important;
    text-decoration: underline !important;

    cursor: pointer;
    width: fit-content;

    transition: all 0.2s ease;
}

.size-guide-link,
.size-guide-link * {
    text-decoration: underline !important;
}

/* hover */
.t-container_fluid .size-guide-link:hover {
    color: #2B3719 !important;
    text-decoration: none !important;
}